Regenerate token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API regenerates the token after successfully logging into the system using the MFA password or OTP. The key used in the request is generated from the mfa/otp/validate or mfa/password/validate API.

Using this API, you can regenerate the token without going through the primary flow.

Example cURL request

curl --location 'https://eu.api.capillarytech.com/auth/v1/mfa/token/regenerate' \
--header 'Content-Type: application/json' \
--header 'Cookie: _cfuvid=qHEKZJZpeVmP7CCaiQVbuf_cn3J2udxCwCDepAgLl1o-1717059715288-0.0.1.1-604800000' \
--data '{
    "deviceId":"1234",
    "brand":"Bukl","key":"eyJpZHYiOlsiTU9CSUxFfDE4NzY3NDMxNzU0Il0sImRldiI6IjEyMzQiLCJvcmciOiJCVUtMIiwiYWxnIjoiSFMyNTYifQ.eyJ1aWQiOiIxNzgwNzc2IiwiaXNzIjoiQ0FQSUxMQVJZIFRFQ0hOT0xPR0lFUyIsIm1mYSI6dHJ1ZSwiaWF0IjoxNzE2OTYyNTU3LCJyb2wiOiJBVVRIIn0.89CmFeLl_zfUBuv2Ea4eQIc3Wy8fJzlcRQad8UcqK-4",
    "identifierType":"MOBILE",
    "identifierValue":"18767431754"
    }'

Prerequisites

  • Validate the OTP or password in the MFA flow.

Resource information

URIauth/v1/mfa/token/regenerate
HTTP methodPOST
Pagination supported?NA
Rate limitNA
Batch supportNA

Request body parameters

(Parameters marked with * are mandatory)Data TypeDescription
deviceId*StringUnique ID of the device used for token regeneration.
brand*StringName of the brand or organisation that needs verification.
key*StringKey generated from the password/OTP validate response.
identifierType*StringType of identifier to identify the customer. Values: MOBILE, EMAIL, USERNAME, EXTERNALID
identifierValue*StringValue of the identifier.

Response parameters

ParameterDatatypeDescription
statusobjectObject containing status information.
  • success
booleanBoolean indicating the status of the request.
  • code
integerHTTP status code indicating the result. Example: 200 indicates success.
  • message
stringMessage describing the status of the request.
authobjectObject containing authentication details.
  • token
stringString representing the authentication token. By default, the token is valid for 15 minutes.
  • key
stringString representing the authentication key.
userobjectObject containing user details.
  • appRegistered
booleanIndicates if the user is registered in the app.
  • sessionId
stringSession ID for MFA flow. The session ID is valid for 15 minutes by default.
  • role
stringIndicates the user's role. Example: VIEW, USER.
  • userRegisteredForPassword
booleanIndicates if the user is registered for a password.
{
    "status": {
        "success": true,
        "code": 200,
        "message": "SUCCESS"
    },
    "auth": {
        "token": "eyJpZHYiOlsiTU9CSUxFfDE4NzY3NDMxNzU0Il0sImRldiI6IjEyMzQiLCJvcmciOiJCVUtMIiwiYWxnIjoiSFMyNTYifQ.eyJ1aWQiOiIxNzgwNzc2IiwiaXNzIjoiQ0FQSUxMQVJZIFRFQ0hOT0xPR0lFUyIsImlzYyI6ImZhbHNlIiwib2djIjpbIjEwMDQ1OHxidWtsLmluZC5zb2x1dGlvbiJdLCJleHAiOjE3MTcwNjE0NjUsImlhdCI6MTcxNzA2MDU2NSwicm9sIjoiVVNFUiJ9.rmKqmOQyYYtEPs422G0xZ-EUFpak5i0jdrx9W4YVxJQ",
        "key": null
    },
    "user": {
        "appRegistered": false,
        "sessionId": null,
        "role": "USER",
        "userRegisteredForPassword": true
    }
}
Body Params
string
required
string
required
string
required
string
enum
required
Allowed:
string
required
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json